Page MenuHomePhabricator

[lldb][JITLoaderGDB] Test debug support in llvm-jitlink
ClosedPublic

Authored by sgraenitz on Feb 12 2021, 1:59 PM.

Details

Summary

LLVM OrcJIT is shifting from RuntimeDyld to JITLink. Starting with D96627 I am planning to add debug support. It would be great to have test coverage for it in LLDB early on.

Diff Detail

Event Timeline

sgraenitz requested review of this revision.Feb 12 2021, 1:59 PM
sgraenitz created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2021, 1:59 PM
labath accepted this revision.Feb 15 2021, 3:35 AM

sounds reasonable.

This revision is now accepted and ready to land.Feb 15 2021, 3:35 AM

Thanks for taking a look. Planning to to give this a try as soon as JITLink support landed.

sgraenitz updated this revision to Diff 329301.Mar 9 2021, 5:09 AM

For the entry point, prefer lli over llvm-jitlink. D97339 added debug support for JITLink in lli.

This revision was landed with ongoing or failed builds.Mar 9 2021, 5:11 AM
This revision was automatically updated to reflect the committed changes.